Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Как исправить следующие ошибки и настроить зависимости?  (Прочитано 1100 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн fredditae

  • Автор темы
  • Новичок
  • *
  • Сообщений: 22
    • Просмотр профиля
sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 22 пакетов не обновлено.
не установлено до конца или удалено 4 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
Настраивается пакет php5-cli (5.5.9+dfsg-1ubuntu4.18) …
ucfr: Attempt from package php5-cli  to take /etc/php5/cli/php.ini away from package libapache2-mod-php5
ucfr: Aborting.
dpkg: ошибка при обработке пакета php5-cli (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 4
dpkg: зависимости пакетов не позволяют настроить пакет php5-readline:
 php5-readline зависит от php5-cli (= 5.5.9+dfsg-1ubuntu4.18), однако:
  Пакет php5-cli пока не настроен.

dpkg: ошибка при обработке пакета php5-readline (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет php-pear:
 php-pear зависит от php5-cli, однако:
  Пакет php5-cli пока не настроен.

dpkg: ошибка при обработке пакета php-pear (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет pkg-php-tools:
 pkg-php-tools зависит от php5-cli, однако:
  ПакеОтчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                 Отчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                            Отчёты apport не записаны, так достигнут MaxReports
                               т php5-cli пока не настроен.
 pkg-php-tools зависит от php-pear, однако:
  Пакет php-pear пока не настроен.

dpkg: ошибка при обработке пакета pkg-php-tools (--configure):
 проблемы  зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 php5-cli
 php5-readline
 php-pear
 pkg-php-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)

Оффлайн MAKAP

  • Участник
  • *
  • Сообщений: 243
    • Просмотр профиля
А если ключик в конце прописать а не в середине?

sudo apt install -f
Мало ли... :)
Казалось, что всё, пипец. Оказалось, что не казалось.

Оффлайн fredditae

  • Автор темы
  • Новичок
  • *
  • Сообщений: 22
    • Просмотр профиля
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 22 пакетов не обновлено.
не установлено до конца или удалено 4 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
Настраивается пакет php5-cli (5.5.9+dfsg-1ubuntu4.18) …
ucfr: Attempt from package php5-cli  to take /etc/php5/cli/php.ini away from package libapache2-mod-php5
ucfr: Aborting.
dpkg: ошибка при обработке пакета php5-cli (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 4
dpkg: зависимости пакетов не позволяют настроить пакет php5-readline:
 php5-readline зависит от php5-cli (= 5.5.9+dfsg-1ubuntu4.18), однако:
  Пакет php5-cli пока не настроен.

dpkg: ошибка при обработке пакета php5-readline (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет php-pear:
 php-pear зависит от php5-cli, однако:
  Пакет php5-cli пока не настроен.

dpkg: ошибка при обработке пакета php-pear (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет pkg-php-tools:
 pkg-php-tools зависит от php5-cli, однако:
  ПакеОтчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                 Отчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                            Отчёты apport не записаны, так достигнут MaxReports
                               т php5-cli пока не настроен.
 pkg-php-tools зависит от php-pear, однако:
  Пакет php-pear пока не настроен.

dpkg: ошибка при обработке пакета pkg-php-tools (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 php5-cli
 php5-readline
 php-pear
 pkg-php-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
ничего не поменялось)

Оффлайн EvangelionDeath

  • Администратор
  • Старожил
  • *
  • Сообщений: 3095
  • Ubuntu Mate 16.04 х64
    • Просмотр профиля
Код: Bash
  1. sudo apt-get update
  2. sudo apt-get install php5-cli --reinstall
  3. sudo apt-get -f install
  4.  
Fujitsu UH552: Intel Core i3-3217U, 16GB DDR3 1600MHz, Intel HD4000, Intel 535 120GB/Ubuntu 16.04 Mate
HP 625: AMD Athlon P320, 4GB DDR3 1333MHz, AMD HD4250, Seagate Momentus/Ubuntu 14.04 Mate

Оффлайн fredditae

  • Автор темы
  • Новичок
  • *
  • Сообщений: 22
    • Просмотр профиля
sudo apt-get install php5-cli --reinstall
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, переустановлено 1 переустановлено, для удаления отмечено 0 пакетов, и 22 пакетов не обновлено.
не установлено до конца или удалено 4 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
E: Internal Error, No file name for php5-cli:amd64

 @Lenovo-Z50-75:~$ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 22 пакетов не обновлено.
не установлено до конца или удалено 4 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
Настраивается пакет php5-cli (5.5.9+dfsg-1ubuntu4.18) …
ucfr: Attempt from package php5-cli  to take /etc/php5/cli/php.ini away from package libapache2-mod-php5
ucfr: Aborting.
dpkg: ошибка при обработке пакета php5-cli (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 4
dpkg: зависимости пакетов не позволяют настроить пакет php5-readline:
 php5-readline зависит от php5-cli (= 5.5.9+dfsg-1ubuntu4.18), однако:
  Пакет php5-cli пока не настроен.

dpkg: ошибка при обработке пакета php5-readline (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет php-pear:
 php-pear зависит от php5-cli, однако:
  Пакет php5-cli пока не настроен.

dpkg: ошибка при обработке пакета php-pear (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет pkg-php-tools:
 pkg-php-tools зависит от php5-cli, однако:
  ПакеОтчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                 Отчёты apport не записаны, так как сообщение об ошибке указывает на повторную ошибку от предыдущего отказа.
                                                            Отчёты apport не записаны, так достигнут MaxReports
                               т php5-cli пока не настроен.
 pkg-php-tools зависит от php-pear, однако:
  Пакет php-pear пока не настроен.

dpkg: ошибка при обработке пакета pkg-php-tools (--configure):
 проблемы зависимостей — оставляем не настроенным
E: Sub-process /usr/bin/dpkg returned an error code (1)

Оффлайн EvangelionDeath

  • Администратор
  • Старожил
  • *
  • Сообщений: 3095
  • Ubuntu Mate 16.04 х64
    • Просмотр профиля
fredditae,
Код: Bash
  1. sudo apt-get install php-cli --reinstall
  2.  

Какие сторонние репозитории подключали?
Fujitsu UH552: Intel Core i3-3217U, 16GB DDR3 1600MHz, Intel HD4000, Intel 535 120GB/Ubuntu 16.04 Mate
HP 625: AMD Athlon P320, 4GB DDR3 1333MHz, AMD HD4250, Seagate Momentus/Ubuntu 14.04 Mate

Оффлайн fredditae

  • Автор темы
  • Новичок
  • *
  • Сообщений: 22
    • Просмотр профиля
fredditae,
Код: Bash
  1. sudo apt-get install php-cli --reinstall
  2.  

Какие сторонние репозитории подключали?
я не очень хорошо разбираюсь в Linux, поэтому точно Вам ответить не смогу, но вроде я ничего специально не подключал)

@Lenovo-Z50-75:~$ sudo apt-get install php-cli --reinstall
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
E: Не удалось найти пакет php-cli

Оффлайн EvangelionDeath

  • Администратор
  • Старожил
  • *
  • Сообщений: 3095
  • Ubuntu Mate 16.04 х64
    • Просмотр профиля
fredditae, подключали что-то. Ибо в основном репозитории php5-cli 5.5.9 4.17, а у вас ищет 4.18
Fujitsu UH552: Intel Core i3-3217U, 16GB DDR3 1600MHz, Intel HD4000, Intel 535 120GB/Ubuntu 16.04 Mate
HP 625: AMD Athlon P320, 4GB DDR3 1333MHz, AMD HD4250, Seagate Momentus/Ubuntu 14.04 Mate

 

Страница сгенерирована за 0.072 секунд. Запросов: 24.